Package de.gebit.integrity.utils

## Class ParameterUtil.UnresolvableVariableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.gebit.integrity.utils.ParameterUtil.UnresolvableVariableException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    ParameterUtil

      public static class ParameterUtil.UnresolvableVariableException
      extends RuntimeException

  Thrown if a variable value cannot be resolved because there's no variable map given.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnresolvableVariableException()` | Instantiates a new unresolvable variable exception.
    `UnresolvableVariableException​(String aMessage)` | Instantiates a new unresolvable variable exception.
    `UnresolvableVariableException​(String aMessage, Throwable aCause)` | Instantiates a new unresolvable variable exception.
    `UnresolvableVariableException​(Throwable aCause)` | Instantiates a new unresolvable variable exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvableVariableException

          public UnresolvableVariableException()

      Instantiates a new unresolvable variable exception.

    - #### UnresolvableVariableException

          public UnresolvableVariableException​(String aMessage,
                                               Throwable aCause)

      Instantiates a new unresolvable variable exception.
      Parameters:
        `aMessage` - the a message
        `aCause` - the a cause

    - #### UnresolvableVariableException

          public UnresolvableVariableException​(String aMessage)

      Instantiates a new unresolvable variable exception.
      Parameters:
        `aMessage` - the a message

    - #### UnresolvableVariableException

          public UnresolvableVariableException​(Throwable aCause)

      Instantiates a new unresolvable variable exception.
      Parameters:
        `aCause` - the a cause